<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ config('app.name', 'Laravel') }}</title>
    <!-- Fonts -->
    <link rel="icon" type="image/png" href="{{ asset('log.png') }}">
    <!-- Web Font -->
    <link href="https://fonts.googleapis.com/css?family=Poppins:200i,300,300i,400,400i,500,500i,600,600i,700,700i,800,800i,900,900i&display=swap" rel="stylesheet">

    <!-- StyleSheet -->

    <!-- Bootstrap -->
    <link rel="stylesheet" href="{{ asset('assets/css/bootstrap.css') }}">
    <!-- Magnific Popup -->
      <link rel="stylesheet" href="{{ asset('assets/css/magnific-popup.min.css') }}">
    <!-- Font Awesome -->
      <link rel="stylesheet" href="{{ asset('assets/css/font-awesome.css') }}">
    <!-- Fancybox -->
    <link rel="stylesheet" href="{{ asset('assets/css/jquery.fancybox.min.css') }}">
    <!-- Themify Icons -->
      <link rel="stylesheet" href="{{ asset('assets/css/themify-icons.css') }}">
    <!-- Nice Select CSS -->
      <link rel="stylesheet" href="{{ asset('assets/css/niceselect.css') }}">
    <!-- Animate CSS -->
      <link rel="stylesheet" href="{{ asset('assets/css/animate.css') }}">
    <!-- Flex Slider CSS -->
      <link rel="stylesheet" href="{{ asset('assets/css/flex-slider.min.css') }}">
    <!-- Owl Carousel -->
      <link rel="stylesheet" href="{{ asset('assets/css/owl-carousel.css') }}">
    <!-- Slicknav -->
      <link rel="stylesheet" href="{{ asset('assets/css/slicknav.min.css') }}">

    <!-- Eshop StyleSheet -->
    <link rel="stylesheet" href="{{ asset('assets/css/reset.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/style.css') }}">
      <link rel="stylesheet" href="{{ asset('assets/css/responsive.css') }}">



    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/7.28.11/sweetalert2.css"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/7.28.11/sweetalert2.min.css"/>
    @yield('styles')
</head>

<body class="js">

	<!-- Preloader -->
	<div class="preloader">
		<div class="preloader-inner">
			<div class="preloader-icon">
				<span></span>
				<span></span>
			</div>
		</div>
	</div>
	<!-- End Preloader -->


@yield('content')
@include('includes.footer')


 <!-- Jquery -->
   <script src="{{ asset('assets/js/jquery.min.js') }}"></script>
   <script src="{{ asset('assets/js/jquery-migrate-3.0.0.js') }}"></script>
 <script src="{{ asset('assets/js/jquery-ui.min.js') }}"></script>
 <!-- Popper JS -->
 <script src="{{ asset('assets/js/popper.min.js') }}"></script>
 <!-- Bootstrap JS -->
 <script src="{{ asset('assets/js/bootstrap.min.js') }}"></script>
 <!-- Color JS -->
  
 <!-- Slicknav JS -->
 <script src="{{ asset('assets/js/slicknav.min.js') }}"></script>
 <!-- Owl Carousel JS -->
 <script src="{{ asset('assets/js/owl-carousel.js') }}"></script>
 <!-- Magnific Popup JS -->
 <script src="{{ asset('assets/js/magnific-popup.js') }}"></script>
 <!-- Waypoints JS -->
 <script src="{{ asset('assets/js/waypoints.min.js') }}"></script>
 <!-- Countdown JS -->
 <script src="{{ asset('assets/js/finalcountdown.min.js') }}"></script>
 <!-- Nice Select JS -->
 <script src="{{ asset('assets/js/nicesellect.js') }}"></script>
 <!-- Flex Slider JS -->
 <script src="{{ asset('assets/js/flex-slider.js') }}"></script>
 <!-- ScrollUp JS -->
 <script src="{{ asset('assets/js/scrollup.js') }}"></script>
 <!-- Onepage Nav JS -->
 <script src="{{ asset('assets/js/onepage-nav.min.js') }}"></script>
 <!-- Easing JS -->
 <script src="{{ asset('assets/js/easing.js') }}"></script>
 <!-- Active JS -->
 <script src="{{ asset('assets/js/active.js') }}"></script>
@yield('scripts')
  <script src="{{ asset('notify/bootstrap-notify.js') }}"></script>
  <script src="{{ asset('notify/bootstrap-notify.min.js') }}"></script>
  <script>
              @if(Session::has('success'))
              $.notify({
              	title: '<strong>Success!</strong>',
              	message: '{!! Session::get('success') !!}'
              },{
              	type: 'success'
              });

              @elseif(Session::has('error'))
              $.notify({
              	title: '<strong>Error!</strong>',
              	message: '{!! Session::get('error') !!}'
              },{
              	type: 'error'
              });

              @elseif(Session::has('warning'))
              $.notify({
              	title: '<strong>Warning!</strong>',
              	message: '{!! Session::get('warning') !!}'
              },{
              	type: 'warning'
              });

              @endif
      </script>
</body>

</html>
